Last Comment Bug 15118 - expat doesn't send notifications for doctype.notations and doctype.entities
: expat doesn't send notifications for doctype.notations and doctype.entities
Status: RESOLVED INVALID
[Hixie-P5]
: dom1
Product: Core
Classification: Components
Component: XML (show other bugs)
: Trunk
: All All
: P3 normal with 3 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
: 11694 15117 41293 (view as bug list)
Depends on: 604595
Blocks: 9075 9850
  Show dependency treegraph
 
Reported: 1999-09-28 14:10 PDT by Nisheeth Ranjan
Modified: 2014-04-26 03:11 PDT (History)
16 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Nisheeth Ranjan 1999-09-28 14:10:47 PDT
The code for CDATA Section, DOCTYPE, NamedNodeMap, Notation, Processing
Instruction objects is in the tree.  We need to start using it to create these
content objects and populate the DOM with them...

I'm currently scheduling this work for post beta.  If time permits, I'll try to
do this for beta.
Comment 1 Nisheeth Ranjan 1999-12-10 18:24:59 PST
*** Bug 11694 has been marked as a duplicate of this bug. ***
Comment 2 Nisheeth Ranjan 2000-04-04 14:36:27 PDT
Moving bugs out by one milestone...
Comment 3 Nisheeth Ranjan 2000-04-21 18:51:05 PDT
Updating summary.

We need to pass up entity and notation declarations from expat to the XML 
content sink.  Currently, only the doctype declaration is passed up.  

The sink, then, needs to create the doctype object and populate the 
"doctype.entities" and "doctype.notations" NamedNodeMaps with Entity and 
Notation nodes respectively.

Adding heikki and jst to the cc list to keep them in the loop.
Comment 4 Nisheeth Ranjan 2000-04-21 18:52:37 PDT
*** Bug 15117 has been marked as a duplicate of this bug. ***
Comment 5 Heikki Toivonen (remove -bugzilla when emailing directly) 2000-06-13 04:41:23 PDT
*** Bug 41293 has been marked as a duplicate of this bug. ***
Comment 6 Nisheeth Ranjan 2000-06-15 19:54:27 PDT
We should try and get this in for beta 3.  Marking nsbeta3, and setting target 
milestone to M18...
Comment 7 vidur (gone) 2000-06-16 13:09:37 PDT
Since this is necessary for DOM Level 1 compatibility, I'd like to see if in for 
beta 2. The fix itself is simple and low risk, but at this point we are 
incompabtible with IE5. Nominating nsbeta2.
Comment 8 Peter Trudelle 2000-06-16 14:11:05 PDT
nsbeta2+ until 6/22
Comment 9 Nisheeth Ranjan 2000-06-16 15:51:14 PDT
Vidur has the fix for this in his tree.  Re-assigning to him so that he can mark 
this fixed when he checks it in.
Comment 10 vidur (gone) 2000-06-16 18:52:51 PDT
We now process the Doctype notification (the nsbeta2+ part, checked in on 
6/16/2000), but expat still doesn't pass us notations and entities. Removing the 
nsbeta2 designation and passing the bug back to Nisheeth. We should consider 
futuring this one. 
Comment 11 Nisheeth Ranjan 2000-06-23 16:27:16 PDT
Marking nsbeta3 for now...  This might not be difficult to do and this is a DOM 
1 compliance issue.  If it turns out that we are completely overloaded with beta 
3 stuff, we can consider futuring this.
Comment 12 Peter Trudelle 2000-08-08 15:42:08 PDT
...and that's how it turned out. nsbeta3-, ->future
Comment 13 Asa Dotzler [:asa] 2003-09-09 15:49:17 PDT
*** Bug 215257 has been marked as a duplicate of this bug. ***
Comment 14 :Ms2ger (⌚ UTC+1/+2) 2011-04-14 13:02:29 PDT
We dropped support for those attributes.

Note You need to log in before you can comment on or make changes to this bug.